Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.uddi.client.structures.datatypes
Class OverviewDoc

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.datatypes.OverviewDoc

public class OverviewDoc
extends java.lang.Object

The overviewDoc structure holds the metadata that describes overview infomration about a particular TModel use.

Version:
  1.0
Author:
  Salman Khan, Jason Ong

Constructor Summary
`OverviewDoc()` Class constructor.

Method Summary
`void` | `addDescription(java.lang.String des)` Adds a new description to the set of descriptions.
`java.util.Vector` | `getDescriptionVector()` Gets the set of descriptions.
`OverviewURL` | `getOverviewURL()` Gets the value of the overview URL.
`void` | `setDescriptionVector(java.util.Vector v)` Sets the set of descriptions.
`void` | `setOverviewURL(OverviewURL oURL)` Sets the value of the overview URL.
`void` | `setOverviewURL(java.lang.String oURL)` Sets the value of the overview URL.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OverviewDoc

    public OverviewDoc()

  Class constructor.

Method Detail

### addDescription

    public void addDescription(java.lang.String des)

  Adds a new description to the set of descriptions.

  Parameters:
    `des` - the new description.

### setOverviewURL

    public void setOverviewURL(java.lang.String oURL)

  Sets the value of the overview URL.

  Parameters:
    `oURL` - the new value of the overview URL.

### setOverviewURL

    public void setOverviewURL(OverviewURL oURL)

  Sets the value of the overview URL.

  Parameters:
    `oURL` - the new value of the overview URL.

### getOverviewURL

    public OverviewURL getOverviewURL()

  Gets the value of the overview URL.

  Returns:
    the current value of the overview URL.

### getDescriptionVector

    public java.util.Vector getDescriptionVector()

  Gets the set of descriptions.

  Returns:
    the current set of descriptions.

### setDescriptionVector

    public void setDescriptionVector(java.util.Vector v)

  Sets the set of descriptions.

  Parameters:
    `v` - the new set of descriptions.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference